OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_ConnectedFaceSet Class Reference

`#include <StepShape_ConnectedFaceSet.hxx>`

Inheritance diagram for StepShape_ConnectedFaceSet:

[legend]

## Public Member Functions
Standard_EXPORT | StepShape_ConnectedFaceSet ()
| Returns a ConnectedFaceSet .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfFace)&aCfsFaces)
virtual Standard_EXPORT void | SetCfsFaces (const Handle(StepShape_HArray1OfFace)&aCfsFaces)
virtual Standard_EXPORT Handle_StepShape_HArray1OfFace | CfsFaces () const
virtual Standard_EXPORT Handle_StepShape_Face | CfsFacesValue (const Standard_Integer num) const
virtual Standard_EXPORT Standard_Integer | NbCfsFaces () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepShape_HArray1OfFace | cfsFaces

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_ConnectedFaceSet::StepShape_ConnectedFaceSet | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_HArray1OfFace StepShape_ConnectedFaceSet::CfsFaces | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedClosedShell, and StepShape_OrientedOpenShell.

virtual Standard_EXPORT Handle_StepShape_Face StepShape_ConnectedFaceSet::CfsFacesValue | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedClosedShell, and StepShape_OrientedOpenShell.

Standard_EXPORT const StepShape_ConnectedFaceSet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem. Reimplemented in StepShape_ClosedShell, StepShape_ConnectedFaceSubSet, StepShape_OpenShell, StepShape_OrientedClosedShell, and StepShape_OrientedOpenShell.

virtual Standard_EXPORT void StepShape_ConnectedFaceSet::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfFace)& | aCfsFaces
| ) | `[virtual]`

| Reimplemented in StepShape_OrientedClosedShell, and StepShape_OrientedOpenShell.

virtual Standard_EXPORT void StepShape_ConnectedFaceSet::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

virtual Standard_EXPORT Standard_Integer StepShape_ConnectedFaceSet::NbCfsFaces | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedClosedShell, and StepShape_OrientedOpenShell.

virtual Standard_EXPORT void StepShape_ConnectedFaceSet::SetCfsFaces | ( | const Handle(StepShape_HArray1OfFace)& | aCfsFaces | ) | `[virtual]`

| Reimplemented in StepShape_OrientedClosedShell, and StepShape_OrientedOpenShell.

## Field Documentation

Handle_StepShape_HArray1OfFace StepShape_ConnectedFaceSet::cfsFaces`[private]`

The documentation for this class was generated from the following file:

- StepShape_ConnectedFaceSet.hxx